package io.renren.modules.app.dao;

import io.renren.modules.app.entity.FjEntity;
import io.renren.modules.app.entity.SqwxzqEntity;
import io.renren.modules.app.entity.WxjlbEntity;
import io.renren.modules.app.entity.WxxmxxEntity;
import io.renren.modules.app.entity.XlkEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 维修基金支取申请表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-04-11 10:12:38
 */
@Mapper
public interface SqwxzqDao extends BaseMapper<SqwxzqEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param sqwxzqEntity
	 * @return
	 */
	List<SqwxzqEntity> queryByPage(SqwxzqEntity sqwxzqEntity);

	/**
	 * 条数
	 * 
	 * @param sqwxzqEntity
	 * @return
	 */
	String queryByCount(String date);
	
	List<String> queryByxm(String sqdbh);

	int querydjbh(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity query(SqwxzqEntity sqwxzqEntity);

	List<SqwxzqEntity> querym(SqwxzqEntity sqwxzqEntity);

	List<SqwxzqEntity> querys(SqwxzqEntity sqwxzqEntity);

	SqwxzqEntity querykjqj(SqwxzqEntity sqwxzqEntity);

	List<XlkEntity> selectdjbh();

	SqwxzqEntity selectsqdjxx(String id);

	// 通过小区编码查项目
	List<XlkEntity> selectxmbyxq(String id);

	// 通过项目编码查楼幢
	List<XlkEntity> selectlzbyxm(String id);

	// 查询所有维修项目信息
	List<WxxmxxEntity> selectwxxmxx();

	List<WxxmxxEntity> selectwxxmxxbymc(String id);

	void inserts(SqwxzqEntity sqwxzqEntity);

	void insertwxjlb(WxjlbEntity wxjlbEntity);

	void insertsqwxz(SqwxzqEntity sqwxzqEntity);

	List<WxjlbEntity> selectwxxmxxbysqdh(String id);

	void updatesqdj(SqwxzqEntity sqwxzqEntity);

	void updatewxjlb(WxjlbEntity wxjlbEntity);

	void deletesqdj(String id);

	void deletewxjlb(String id);

	void deletewxjlbbyid(String id);

	String getWjqljById(String id);
	
	void insertFjb(FjEntity fjEntity);
	
	FjEntity selectwjdxbyfjid(String id);
}
